diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -46788,14 +46990,14 @@ (define-public rust-serde-cbor-0.11
     (name "rust-serde-cbor")
     (version "0.11.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-cbor" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08m62mfqjnpa543kd9r9cyxlqc6y73avhsl3n8svgs4h5zxaq60y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-cbor" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08m62mfqjnpa543kd9r9cyxlqc6y73avhsl3n8svgs4h5zxaq60y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46996,13 +47198,13 @@ (define-public rust-serde-derive-1
     (name "rust-serde-derive")
     (version "1.0.123")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-derive" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ccg4m7ww6mfs5vjdbdifri2kf1wyd4difjnqnraph2gssaw54ck"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-derive" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ccg4m7ww6mfs5vjdbdifri2kf1wyd4difjnqnraph2gssaw54ck"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47013,9 +47215,9 @@ (define-public rust-serde-derive-1
        (("rust-serde" ,rust-serde-1))))
     (home-page "https://serde.rs")
     (synopsis
-      "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
+     "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
     (description
-      "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
+     "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-serde-derive-0.9
@@ -47169,28 +47371,28 @@ (define-public rust-serde-path-to-error-0.1
     (name "rust-serde-path-to-error")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-path-to-error" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0n5ilbsxvi174m2fd506ivd43kws0yh523li1xz0zqh60ngi1xj2"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-serde-derive" ,rust-serde-derive-1)
-         ("rust-serde-json" ,rust-serde-json-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-path-to-error" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0n5ilbsxvi174m2fd506ivd43kws0yh523li1xz0zqh60ngi1xj2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page
-      "https://github.com/dtolnay/path-to-error")
+     "https://github.com/dtolnay/path-to-error")
     (synopsis
-      "Path to the element that failed to deserialize")
+     "Path to the element that failed to deserialize")
     (description
-      "This package provides a path to the element that failed to deserialize.")
+     "This package provides a path to the element that failed to deserialize.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-serde-qs-0.7
@@ -47547,14 +47749,14 @@ (define-public rust-serial-test-0.1
     (name "rust-serial-test")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serial-test" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0qywhzjc4jh6dqqng90maai0mjlmafk9aa5rrl9g3d2g01wdn8ms"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serial-test" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0qywhzjc4jh6dqqng90maai0mjlmafk9aa5rrl9g3d2g01wdn8ms"))))
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1))))))
@@ -47590,14 +47792,14 @@ (define-public rust-serial-test-derive-0.1
     (name "rust-serial-test-derive")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serial-test-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "17fkqrba233sjhdak986y4w3z4yjxa4idjkh46l7zxgcgjlvrnic"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serial-test-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17fkqrba233sjhdak986y4w3z4yjxa4idjkh46l7zxgcgjlvrnic"))))
     (arguments
      `(#:cargo-inputs
        (("rust-quote" ,rust-quote-0.6)
@@ -47608,14 +47810,14 @@ (define-public rust-servo-arc-0.1
     (name "rust-servo-arc")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "servo-arc" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cjljr9znwahry6p95xvd3p4pmy24wlf6gbfidnmglg002w3i0nr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "servo-arc" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cjljr9znwahry6p95xvd3p4pmy24wlf6gbfidnmglg002w3i0nr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47672,8 +47874,8 @@ (define-public rust-serial-test-0.4
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1)
-("rust-parking-lot" ,rust-parking-lot-0.10)
-("rust-serial-test-derive" ,rust-serial-test-derive-0.4))))
+        ("rust-parking-lot" ,rust-parking-lot-0.10)
+        ("rust-serial-test-derive" ,rust-serial-test-derive-0.4))))
     (home-page
      "https://github.com/palfrey/serial_test/")
     (synopsis "Serialising Rust tests")
@@ -47763,12 +47965,12 @@ (define-public rust-servo-fontconfig-sys-4
        (sha256
         (base32
          "0v0mbicy74wd6cjd5jyqnm4nvrrr5lmg053cn16kylhg8mkf3cv2"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (for-each delete-file-recursively
-                      (find-files "." "[^Cargo.toml,^build\\.rs]"))
-            #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (for-each delete-file-recursively
+                     (find-files "." "[^Cargo.toml,^build\\.rs]"))
+           #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-expat-sys" ,rust-expat-sys-2)
@@ -47792,9 +47994,9 @@ (define-public rust-servo-freetype-sys-4
        (sha256
         (base32
          "1z0dvnakans4vn4vlpx4nxg984427lh8dskxxz9pglij1mnwnk1c"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "freetype2") #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "freetype2") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47815,14 +48017,14 @@ (define-public rust-sha-1-0.9
     (name "rust-sha-1")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha-1" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0w37j7swjkbzgi9mf7ihkw0zfik6vl97fs6jdpqs6r68hvm3c2hp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha-1" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w37j7swjkbzgi9mf7ihkw0zfik6vl97fs6jdpqs6r68hvm3c2hp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47950,26 +48152,26 @@ (define-public rust-sha1collisiondetection-0.2
     (name "rust-sha1collisiondetection")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha1collisiondetection" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "10nh7s3d02136kkz93pxyfv628ls5xz8ndg27pkb6na0ghccz9np"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-digest" ,rust-digest-0.9)
-         ("rust-generic-array" ,rust-generic-array-0.14)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-sha-1" ,rust-sha-1-0.9)
-         ("rust-structopt" ,rust-structopt-0.3))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha1collisiondetection" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "10nh7s3d02136kkz93pxyfv628ls5xz8ndg27pkb6na0ghccz9np"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-digest" ,rust-digest-0.9)
+        ("rust-generic-array" ,rust-generic-array-0.14)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-sha-1" ,rust-sha-1-0.9)
+        ("rust-structopt" ,rust-structopt-0.3))))
     (home-page "https://docs.rs/sha1collisiondetection")
     (synopsis "SHA-1 hash function with collision detection and mitigation")
     (description
-      "This package implementation of the SHA-1 cryptographic hash algorithm.
+     "This package implementation of the SHA-1 cryptographic hash algorithm.
 
 This is a port of Marc Stevens' sha1collisiondetection algorithm to Rust.  The
 code is translated from C to Rust using c2rust.")
@@ -47980,14 +48182,14 @@ (define-public rust-sha2-0.9
     (name "rust-sha2")
     (version "0.9.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04lzf4swq6cijvxnc6facr3g72h5v7a5z8lz3xrkf8gxa9bswqmk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04lzf4swq6cijvxnc6facr3g72h5v7a5z8lz3xrkf8gxa9bswqmk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -48134,12 +48336,12 @@ (define-public rust-sha3-0.9
     (name "rust-sha3")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha3" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha3" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -48161,14 +48363,14 @@ (define-public rust-shader-version-0.6
     (name "rust-shader-version")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "shader_version" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yk651xc9irl3pl0rlplypzyzy44d0j03ji0j7hjjdjknwzpi3j7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "shader_version" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yk651xc9irl3pl0rlplypzyzy44d0j03ji0j7hjjdjknwzpi3j7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48404,13 +48606,13 @@ (define-public rust-shlex-0.1
     (name "rust-shlex")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "shlex" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lmv6san7g8dv6jdfp14m7bdczq9ss7j7bgsfqyqjc3jnjfippvz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "shlex" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lmv6san7g8dv6jdfp14m7bdczq9ss7j7bgsfqyqjc3jnjfippvz"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/comex/rust-shlex")
     (synopsis "Split a string into shell words, like Python's shlex")
@@ -48543,25 +48745,25 @@ (define-public rust-signature-1
     (name "rust-signature")
     (version "1.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "signature" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "04325sgl06mksq21a95sbdadg3r3jn3l3nhhxj839qs7s6kn1w19"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "signature" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04325sgl06mksq21a95sbdadg3r3jn3l3nhhxj839qs7s6kn1w19"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-digest" ,rust-digest-0.9)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-signature-derive"
-          ,rust-signature-derive-1))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-digest" ,rust-digest-0.9)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-signature-derive"
+         ,rust-signature-derive-1))))
     (home-page "")
     (synopsis "Traits for cryptographic signature algorithms (e.g. ECDSA,
 Ed25519)")
     (description
-      "This package contains traits which provide generic, object-safe APIs
+     "This package contains traits which provide generic, object-safe APIs
 for generating and verifying digital signatures.")
     (license (list license:asl2.0 license:expat))))
 
@@ -48570,20 +48772,20 @@ (define-public rust-signature-derive-1
     (name "rust-signature-derive")
     (version "1.0.0-pre.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "signature_derive" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0wp8b8ald7qixrcvvclhdcpmn8hkx049jlc29g57ql0304c6qrdh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "signature_derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wp8b8ald7qixrcvvclhdcpmn8hkx049jlc29g57ql0304c6qrdh"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-proc-macro2" ,rust-proc-macro2-1)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-syn" ,rust-syn-1)
-         ("rust-synstructure" ,rust-synstructure-0.12))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-1)
+        ("rust-synstructure" ,rust-synstructure-0.12))))
     (home-page "signature_derive")
     (synopsis "Custom derive support for the 'signature' crate")
     (description "This package provides proc macros used by the signature
@@ -48598,14 +48800,14 @@ (define-public rust-simba-0.1
     (name "rust-simba")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "simba" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1chz3abrvrj4qz86gwrrzajsl5zcc2l0dhxi39mymbgscw9ip4zv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "simba" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1chz3abrvrj4qz86gwrrzajsl5zcc2l0dhxi39mymbgscw9ip4zv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -48742,14 +48944,14 @@ (define-public rust-simd-helpers-0.1
     (name "rust-simd-helpers")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "simd_helpers" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19idqicn9k4vhd04ifh2ff41wvna79zphdf2c81rlmpc7f3hz2cm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "simd_helpers" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19idqicn9k4vhd04ifh2ff41wvna79zphdf2c81rlmpc7f3hz2cm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48835,14 +49037,14 @@ (define-public rust-siphasher-0.3
     (name "rust-siphasher")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "siphasher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08xvk3yi4vawppm1f81s4zrkksf95psz8gczh36y808candgi24f"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "siphasher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08xvk3yi4vawppm1f81s4zrkksf95psz8gczh36y808candgi24f"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48951,14 +49153,14 @@ (define-public rust-skeptic-0.13
     (name "rust-skeptic")
     (version "0.13.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "skeptic" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rai61hbs65nbvbhqlk1nap5hlav5qx3zmjjjzh9rhgxagc8xyyn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "skeptic" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rai61hbs65nbvbhqlk1nap5hlav5qx3zmjjjzh9rhgxagc8xyyn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48982,13 +49184,13 @@ (define-public rust-slab-0.4
     (name "rust-slab")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "slab" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1y59xsa27jk84sxzswjk60xcjf8b4fm5960jwpznrrcmasyva4f1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "slab" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1y59xsa27jk84sxzswjk60xcjf8b4fm5960jwpznrrcmasyva4f1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/carllerche/slab")
     (synopsis "Pre-allocated storage for a uniform data type")
@@ -49090,14 +49292,14 @@ (define-public rust-slog-2
     (name "rust-slog")
     (version "2.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "slog" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "16bv6zrdn1sm315vbnia02g31xvsmbjyz5gv3z0vrgxdli0cdj8w"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "slog" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "16bv6zrdn1sm315vbnia02g31xvsmbjyz5gv3z0vrgxdli0cdj8w"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -49108,9 +49310,9 @@ (define-public rust-slog-2
     (description
      "This package provides structured, extensible, composable logging for Rust.")
     (license
-      (list license:mpl2.0
-            license:expat
-            license:asl2.0))))
+     (list license:mpl2.0
+           license:expat
+           license:asl2.0))))
 
 (define-public rust-slog-async-2
   (package
@@ -49650,14 +49852,14 @@ (define-public rust-socket2-0.4
     (name "rust-socket2")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "socket2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "socket2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.46    ; or later
@@ -49725,13 +49927,13 @@ (define-public rust-sourcefile-0.1
     (name "rust-sourcefile")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sourcefile" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lwa6973zs4bgj29my7agfjgk4nw9hp6j7dfnr13nid85fw7rxsb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sourcefile" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lwa6973zs4bgj29my7agfjgk4nw9hp6j7dfnr13nid85fw7rxsb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -49843,13 +50045,13 @@ (define-public rust-spin-0.5
     (name "rust-spin")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "spin" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0b84m6dbzrwf2kxylnw82d3dr8w06av7rfkr8s85fb5f43rwyqvf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "spin" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0b84m6dbzrwf2kxylnw82d3dr8w06av7rfkr8s85fb5f43rwyqvf"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/mvdnes/spin-rs")
     (synopsis "Synchronization primitives based on spinning")
@@ -50062,13 +50264,13 @@ (define-public rust-stable-deref-trait-1
     (name "rust-stable-deref-trait")
     (version "1.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stable_deref_trait" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1lxjr8q2n534b2lhkxd6l6wcddzjvnksi58zv11f9y0jjmr15wd8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stable_deref_trait" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lxjr8q2n534b2lhkxd6l6wcddzjvnksi58zv11f9y0jjmr15wd8"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/storyyeller/stable_deref_trait0")
     (synopsis "Defines an unsafe marker trait, StableDeref")
@@ -50086,13 +50288,13 @@ (define-public rust-stacker-0.1
     (name "rust-stacker")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stacker" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "12igajfgqz96c7vcwi91xdfsphawik6g36ndlglqih0a7bqw8vyr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stacker" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "12igajfgqz96c7vcwi91xdfsphawik6g36ndlglqih0a7bqw8vyr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50209,13 +50411,13 @@ (define-public rust-static-assertions-1
     (name "rust-static-assertions")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "static-assertions" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0gsl6xmw10gvn3zs1rv99laj5ig7ylffnh71f9l34js4nr4r7sx2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "static-assertions" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0gsl6xmw10gvn3zs1rv99laj5ig7ylffnh71f9l34js4nr4r7sx2"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/nvzqz/static-assertions-rs")
     (synopsis "Compile-time assertions for rust")
@@ -50230,13 +50432,13 @@ (define-public rust-static-assertions-0.3
     (name "rust-static-assertions")
     (version "0.3.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "static-assertions" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lw33i89888yb3x29c6dv4mrkg3534n0rlg3r7qzh4p58xmv6gkz"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "static-assertions" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lw33i89888yb3x29c6dv4mrkg3534n0rlg3r7qzh4p58xmv6gkz"))))))
 
 (define-public rust-static-map-macro-0.2
   (package
@@ -50268,14 +50470,14 @@ (define-public rust-statistical-1
     (name "rust-statistical")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "statistical" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0wm35q6p6jcq1r1darczv4if7qss460kd391nlw5x3hjpc17kma9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "statistical" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0wm35q6p6jcq1r1darczv4if7qss460kd391nlw5x3hjpc17kma9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50523,13 +50725,13 @@ (define-public rust-stdweb-internal-runtime-0.1
     (name "rust-stdweb-internal-runtime")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stdweb-internal-runtime" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h0nkppb4r8dbrbms2hw9n5xdcs392m0r5hj3b6lsx3h6fx02dr1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stdweb-internal-runtime" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h0nkppb4r8dbrbms2hw9n5xdcs392m0r5hj3b6lsx3h6fx02dr1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/koute/stdweb")
     (synopsis "Internal runtime for the @code{stdweb} crate")
@@ -50543,13 +50745,13 @@ (define-public rust-stdweb-internal-test-macro-0.1
     (name "rust-stdweb-internal-test-macro")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stdweb-internal-test-macro" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0wx3jlm98qrg1pdw149fprzs9x3x3igqkm5ll23jv2v62yddfrjf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stdweb-internal-test-macro" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0wx3jlm98qrg1pdw149fprzs9x3x3igqkm5ll23jv2v62yddfrjf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50685,13 +50887,13 @@ (define-public rust-streaming-stats-0.2
     (name "rust-streaming-stats")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "streaming-stats" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0iz5dlq51w5hxjrv6a4hpf8rrj91kgvy0s9mhj0j12il9v771mmh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "streaming-stats" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0iz5dlq51w5hxjrv6a4hpf8rrj91kgvy0s9mhj0j12il9v771mmh"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50708,14 +50910,14 @@ (define-public rust-streebog-0.9
     (name "rust-streebog")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "streebog" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0lz7ajfqdqbrnj01m1xc01ch1g0s9391ma36qqkiyf1074d1r8nr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "streebog" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0lz7ajfqdqbrnj01m1xc01ch1g0s9391ma36qqkiyf1074d1r8nr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50780,14 +50982,14 @@ (define-public rust-string-cache-0.8
     (name "rust-string-cache")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "string-cache" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "12i0synp8l0qpnzi5qki4pjq3jx28ykikyffjjjg6fsfxddwfh19"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "string-cache" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "12i0synp8l0qpnzi5qki4pjq3jx28ykikyffjjjg6fsfxddwfh19"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50835,14 +51037,14 @@ (define-public rust-string-cache-codegen-0.5
     (name "rust-string-cache-codegen")
     (version "0.5.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "string-cache-codegen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "15vbk5i7kkj5bbx7f0fi477js4svw5py39gi4rk74anj35g8wk7j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "string-cache-codegen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "15vbk5i7kkj5bbx7f0fi477js4svw5py39gi4rk74anj35g8wk7j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
